Qt 5.11 | Qt 3D | C++ Classes | QViewport

Qt 5.11.3 Reference Documentation

# QViewport Class

(Qt3DRender::QViewport)

A viewport on the Qt3D Scene. More...

Header: | #include <QViewport>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | Viewport
Inherits: | Qt3DRender::QFrameGraphNode

- List of all members, including inherited members

## Properties

- gamma : float
- normalizedRect : QRectF

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QViewport(Qt3DCore::QNode *parent = nullptr)
float | gamma() const
QRectF | normalizedRect() const

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 13 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setGamma(float gamma)
void | setNormalizedRect(const QRectF &normalizedRect)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | gammaChanged(float gamma)
void | normalizedRectChanged(const QRectF &normalizedRect)

- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 protected function inherited from Qt3DRender::QFrameGraphNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

A viewport on the Qt3D Scene.

Qt3DRender::QViewport of the scene specifies at which portion of the render surface Qt3D is rendering to. Area outside the viewport is left untouched. It also controls global parameters to the rendering in that viewport like gamma.

## Property Documentation

### gamma : float

Specifies the gamma factor for the viewport. The default is 2.2 which should give proper result on most screens.

Access functions:

float | gamma() const
void | setGamma(float gamma)

Notifier signal:

void | gammaChanged(float gamma)

### normalizedRect : QRectF

Specifies the normalised rectangle for the viewport, i.e. the viewport rectangle is specified relative to the render surface size. Whole surface sized viewport is specified as [0.0, 0.0, 1.0, 1.0], which is the default.

Access functions:

QRectF | normalizedRect() const
void | setNormalizedRect(const QRectF &normalizedRect)

Notifier signal:

void | normalizedRectChanged(const QRectF &normalizedRect)

## Member Function Documentation

### QViewport::QViewport(Qt3DCore::QNode *parent = nullptr)

Constructs QViewport with given parent.